Subject: bug#20076: 24.4; x-nontext-pointer-shape not existent as option from Lisp code

From: Noam Postavsky <[email-masked]>
Date: Sun, 12 Aug 2018 20:05:32 -0400

Vasilij Schneidermann <[email-masked]> writes:

> I've attempted to customize the shape of the pointer for the current
> frame, what I've found out so far is that there are a text property to
> change the pointer shape when hovering over it and the `x-pointer-shape'
> option which takes effect on hovering over text.  Looking at the xfns.c
> file in the Emacs 24.4 sources revealed to me that there is a
> `x-nontext-pointer-shape' option which is processed similiarly to the
> `x-pointer-shape' option, however the code responsible for exposing it
> in the Lisp code is commented out with a preprocessor directive.
>
> Is there any particular reason for this peculiar decision?  Or more
> generally, why would a desirable feature be present, but commented out
> from code?  Are there any special known caveats that led to it?

I think the reasons are lost to the mist of time, [1: af01ef2643] is the commit
which ifdefs it out; the changelog is not very enlightening.

[1: af01ef2643]: 1993-05-21 20:22:10 +0000
  (syms_of_xfns): Don't make Lisp vars x-mode-pointer-shape and x-nontext-pointer-shape.
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=af01ef26430d69c04421aac4d862df4f5898a838